# Material

moderngl_window.scene.Material

  Generic material

## Methods

Material.__init__(name: str = None)

  Initialize material.

  Parameters:

    name (str) – Name of the material

Material.release()

## Attributes

Material.name

  Name of the material

  Type:

    str

Material.color

  RGBA color

  Type:

    Tuple[float, float, float, float]

Material.mat_texture

  instance

  Type:

    MaterialTexture

Material.double_sided

  Material surface is double sided?

  Type:

    bool